Bug 25497 - Input tags generate invalid XHTML,
Summary: Input tags generate invalid XHTML,
Status: RESOLVED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Input Taglib (show other bugs)
Version: 1.0
Hardware: All other
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-13 10:20 UTC by Ben Meadowcroft
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Checkbox input taglib patch (8.93 KB, patch)
2003-12-13 10:22 UTC, Ben Meadowcroft
Details | Diff
Input Form taglib patch (5.80 KB, patch)
2003-12-13 10:24 UTC, Ben Meadowcroft
Details | Diff
Input Option taglib patch (3.94 KB, patch)
2003-12-13 10:25 UTC, Ben Meadowcroft
Details | Diff
Input Radio taglib patch (4.31 KB, patch)
2003-12-13 10:25 UTC, Ben Meadowcroft
Details | Diff
Input Select taglib patch (7.77 KB, patch)
2003-12-13 10:25 UTC, Ben Meadowcroft
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Meadowcroft 2003-12-13 10:20:10 UTC
The input tags for forms, options, selects, radio buttons and check boxes all
generate invalid XHTML due to using selected="true" style or similar. See
http://www.w3.org/TR/2002/REC-xhtml1-20020801/#h-4.11 for more info.

examples:
action="GET" instead of action="get"
encType="..." instead of enctype="..."
selected="true" instead of selected="selected"
checked="true" instead of checked="checked"

Generating these values creates invalid XHTML (and I don't think the ="true"
syntac is valid HTML either).
Comment 1 Ben Meadowcroft 2003-12-13 10:22:51 UTC
Created attachment 9555 [details]
Checkbox input taglib patch
Comment 2 Ben Meadowcroft 2003-12-13 10:24:40 UTC
Created attachment 9556 [details]
Input Form taglib patch
Comment 3 Ben Meadowcroft 2003-12-13 10:25:04 UTC
Created attachment 9557 [details]
Input Option taglib patch
Comment 4 Ben Meadowcroft 2003-12-13 10:25:25 UTC
Created attachment 9558 [details]
Input Radio taglib patch
Comment 5 Ben Meadowcroft 2003-12-13 10:25:45 UTC
Created attachment 9559 [details]
Input Select taglib patch
Comment 6 Ben Meadowcroft 2003-12-13 10:33:11 UTC
These modifications may affect the following bugs, 12688 and 11992, which assert
that the select="true" syntax is required for XSLT pages. XSLT (and XPath) does
not suffer this limitation as far as I am aware and I believe this assertion is
incorrect and leads to the creation of invalid pages (meaning that the produced
XHTML page could not be processed with a validating parser).
Comment 7 Karl von Randow 2004-10-26 22:20:29 UTC
Tag changes finally committed to support XHTML strict